/*
 * Calculates the function value and gradient for f = 10(x-1)^2 + (y-2)^2 + 30
 *
 * Date: Oct 10, 2012
 * Author: Thomas Robey
 * Input:
 *   x: vector of the position for the function to be evaluated
 * Output:
 *   g: gradient vector at position x.
 *   nlfn: the value of the nonlinear function at position x.
 */
#include "stdlib.h"
/* Subroutine calculates the function and the gradient at x */
int fandg(x,g)
double *x,*g;
{
  double nlfn;
  g[0] = 20.0*(x[0]-1.0);
  g[1] = 2.0*(x[1]-2.0);
  nlfn = 10.0*(x[0]-1.0)*(x[0]-1.0) + (x[1]-2.0)*(x[1]-2.0) + 30.0;
  return(nlfn);
}
